Edgewall Software
Modify

Opened 12 months ago

Last modified 11 days ago

#13333 new task

Release Trac 1.6

Reported by: Ryan J Ollos Owned by:
Priority: normal Milestone: 1.6
Component: general Version:
Severity: normal Keywords: release
Cc: Branch:
Release Notes:
API Changes:
Internal Changes:

Description


Attachments (0)

Change History (13)

comment:1 by Ryan J Ollos, 12 months ago

Updated trunk/contrib/checkwiki.py in r17485. Jun, could you review the changes?

comment:2 by Ryan J Ollos, 11 months ago

Some test failures appear to be random:

======================================================================
ERROR: runTest (trac.wiki.tests.functional.RegressionTestTicket10850)
Test for regression of https://trac.edgewall.org/ticket/10850
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/edgewall/trac/trac/wiki/tests/functional.py", line 471, in runTest
    pagename, filename='2012-09-11_15:36:40-test.tbz2')
  File "/home/travis/build/edgewall/trac/trac/tests/functional/tester.py", line 306, in attach_file_to_wiki
    replace, content_type)
  File "/home/travis/build/edgewall/trac/trac/tests/functional/tester.py", line 454, in _attach_file_to_resource
    regexp=False)
  File "/home/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 176, in url
    .format(url, current_url))
AssertionError: URL didn't equal: 'http://127.0.0.1:43535/attachment/wiki/IbuprofenSnap/?action=new' != 'http://127.0.0.1:43535/wiki/IbuprofenSnap'

Maybe we should save geckodriver.log as a build artifact to help with debugging?

comment:3 by Ryan J Ollos, 11 months ago

It looks like the New Ticket submit doesn't succeed in this case:

======================================================================
ERROR: runTest (trac.ticket.tests.functional.main.TestMilestoneDelete)
Delete a milestone and verify that tickets are retargeted
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/travis/build/edgewall/trac/trac/ticket/tests/functional/main.py", line 979, in runTest
    tid = self._tester.create_ticket(info={'milestone': name})
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/tester.py", line 101, in create_ticket
    tc.url('%s/ticket/%s#ticket' % (self.url, self.ticketcount + 1),
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 175, in url
    raise AssertionError("URL didn't equal: {!r} != {!r}"
AssertionError: URL didn't equal: 'http://127.0.0.1:49972/ticket/63#ticket' != 'http://127.0.0.1:49972/newticket'

comment:4 by Ryan J Ollos, 11 months ago

Not sure what happened here:

======================================================================
ERROR: runTest (trac.ticket.tests.functional.admin.TestAdminMilestoneDetail)
Admin modify milestone details
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/travis/build/edgewall/trac/trac/ticket/tests/functional/admin.py", line 298, in runTest
    self._tester.login('user')
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/tester.py", line 50, in login
    tc.find("Login")
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 191, in find
    raise AssertionError("Regex didn't match: {!r} not found in {}"
AssertionError: Regex didn't match: 'Login' not found in file:///Users/travis/build/edgewall/trac/testenv/trac/log/TestAdminMilestoneDetail.html

comment:5 by Ryan J Ollos, 11 months ago

======================================================================
ERROR: runTest (trac.wiki.tests.functional.TestWikiHistory)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 415, in _find_by
    return driver.find_element_by_id(kwargs['id'])
  File "/Users/travis/venv-3.9/lib/python3.9/site-packages/selenium/webdriver/remote/webdriver.py", line 360, in find_element_by_id
    return self.find_element(by=By.ID, value=id_)
  File "/Users/travis/venv-3.9/lib/python3.9/site-packages/selenium/webdriver/remote/webdriver.py", line 976, in find_element
    return self.execute(Command.FIND_ELEMENT, {
  File "/Users/travis/venv-3.9/lib/python3.9/site-packages/selenium/webdriver/remote/webdriver.py", line 321, in execute
    self.error_handler.check_response(response)
  File "/Users/travis/venv-3.9/lib/python3.9/site-packages/selenium/webdriver/remote/errorhandler.py", line 242, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.NoSuchElementException: Message: Unable to locate element: [id="edit"]
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/Users/travis/build/edgewall/trac/trac/wiki/tests/functional.py", line 153, in runTest
    self._tester.edit_wiki_page(pagename)
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/tester.py", line 289, in edit_wiki_page
    tc.formvalue('edit', 'text', content)
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 209, in formvalue
    form_element = self._find_by(id=form)
  File "/Users/travis/build/edgewall/trac/trac/tests/functional/better_twill.py", line 426, in _find_by
    raise AssertionError('Missing element (%r, %r) in %s' %
AssertionError: Missing element ((), {'id': 'edit'}) in file:///Users/travis/build/edgewall/trac/testenv/trac/log/TestWikiHistory.html
----------------------------------------------------------------------

comment:6 by anonymous, 10 months ago

Hi have you any idea when you will release 1.6, I am forced to switch to new server + python3 in the next months.

Thanks Klaus

comment:7 by Ryan J Ollos, 10 months ago

Aiming to release in next 1-2 months. #13345 is the most important ticket for releasing.

comment:8 by anonymous, 8 months ago

Since #13345 is resolved, are there any further blockers to get Trac 1.6 released?

Really looking forward to switching to Python 3

comment:9 by anonymous, 8 months ago

mee too: "Really looking forward to switching to Python 3"

comment:10 by anonymous, 7 months ago

Hi any idea when you will release 1.6.?

Python3 switch is pressing … I don't think we need all small goodies in the first version of 1.6 (even if I like TracAccountManager), but at least it would be a signal:

  • for people to adapt thir addons
  • that this project is still alive

comment:11 by Ryan J Ollos, 7 months ago

We are still finding issues to resolve. If we released it tomorrow, it would be the same as the current trunk, so you should feel free to install from trunk or milestone:1.5.3. It's pretty stable by now.

If I had to guess, we'll probably release 1.6 around July 1. Testing and feedback from the current trunk are welcome.

comment:12 by anonymous, 5 months ago

Any news about the 1.6 release?

Python 3 migration is pressing here.

Or is trac discontinued?

I would only like to know.

Thanks.

in reply to:  12 comment:13 by Ryan J Ollos, 5 months ago

Replying to anonymous:

Python 3 migration is pressing here.

The development releases are Python 3 compatible: TracDownload#LatestDevRelease

There will be few changes before the 1.6 release, so you can be fairly confident installing 1.5.3.

Or is trac discontinued?

No, we did a release in May, TracChangeLog#a1.4.3

If you have more questions, please ask on the MailingList.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The ticket will remain with no owner.
The ticket will be disowned.
as The resolution will be set. Next status will be 'closed'.
The owner will be changed from (none) to anonymous. Next status will be 'assigned'.

Add Comment


E-mail address and name can be saved in the Preferences .
 
Note: See TracTickets for help on using tickets.